﻿
enyo.kind({
	name: "App",
	classes: "onyx main-window",	
	components: [
		{kind: "Canvas", name: "canvas", classes: "canvas-style", attributes: {width: 400, height: 400}},		
		{kind: "Image", id: "liogo", src:"images/liogo.png", classes: "liogo-logo", onload: "initLiogo" }
	],
	
	create: function() {
		this.inherited(arguments);	
	},
	
	// Create Liogo component when the turtle image is loaded
	initLiogo: function() {
		// Init mini Logo component
		this.liogo = new Liogo({canvas: this.$.canvas, image: document.getElementById("liogo") });
		this.liogo.draw();
	},
	
	// Clear turtle command launched from the epub, process it in the mini Logo component	
	clear: function() { 
		this.liogo.clear();
		this.liogo.draw();
	},
	
	// Forward command launched from the epub, process it in the mini Logo component
	forward: function(args) { 
		this.liogo.forward(args);
		this.liogo.draw();
	},
	
	// Left command launched from the epub, process it in the mini Logo component	
	left: function(args) { 
		this.liogo.left(args);
		this.liogo.draw();
	},
	
	// Right command launched from the epub, process it in the mini Logo component	
	right: function(args) { 
		this.liogo.right(args);
		this.liogo.draw();
	}	
});	
